[04/29] gtk+: refresh patches

Message ID 20180305172046.21729-4-ross.burton@intel.com
State New
Headers show
Series
  • [01/29] dbus: remove upstreamed patch
Related show

Commit Message

Ross Burton March 5, 2018, 5:20 p.m.
Signed-off-by: Ross Burton <ross.burton@intel.com>

---
 meta/recipes-gnome/gtk+/gtk+/hardcoded_libtool.patch | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

-- 
2.11.0

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Comments

Khem Raj March 6, 2018, 3:09 a.m. | #1
You did not mention the reason why this refresh needed

On Mon, Mar 5, 2018 at 9:20 AM, Ross Burton <ross.burton@intel.com> wrote:
> Signed-off-by: Ross Burton <ross.burton@intel.com>

> ---

>  meta/recipes-gnome/gtk+/gtk+/hardcoded_libtool.patch | 15 ++++++++-------

>  1 file changed, 8 insertions(+), 7 deletions(-)

>

> diff --git a/meta/recipes-gnome/gtk+/gtk+/hardcoded_libtool.patch b/meta/recipes-gnome/gtk+/gtk+/hardcoded_libtool.patch

> index 1ae728e70d6..9eb7f6bf5c7 100644

> --- a/meta/recipes-gnome/gtk+/gtk+/hardcoded_libtool.patch

> +++ b/meta/recipes-gnome/gtk+/gtk+/hardcoded_libtool.patch

> @@ -3,19 +3,20 @@ Upstream-Status: Inappropriate [embedded specific]

>  Updated to apply to gtk+-2.24.15

>

>  Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>

> -diff -Nurd gtk+-2.24.15/configure.ac gtk+-2.24.15/configure.ac

> ---- gtk+-2.24.15/configure.ac  2013-01-12 20:52:54.000000000 +0200

> -+++ gtk+-2.24.15/configure.ac  2013-02-12 21:33:30.689925967 +0200

> -@@ -415,7 +415,7 @@

> +Index: gtk+-2.24.31/configure.ac

> +===================================================================

> +--- gtk+-2.24.31.orig/configure.ac

> ++++ gtk+-2.24.31/configure.ac

> +@@ -415,7 +415,7 @@ AC_MSG_CHECKING([Whether to write depend

>   case $enable_explicit_deps in

>     auto)

>       export SED

>  -    deplibs_check_method=`(./libtool --config; echo 'eval echo \"$deplibs_check_method\"') | sh`

>  +    deplibs_check_method=`(./$host_alias-libtool --config; echo 'eval echo \"$deplibs_check_method\"') | sh`

>       if test "x$deplibs_check_method" '!=' xpass_all || test "x$enable_static" = xyes ; then

> -       enable_explicit_deps=yes

> +       enable_explicit_deps=yes

>       else

> -@@ -774,7 +774,7 @@

> +@@ -772,7 +772,7 @@ else

>       dnl Now we check to see if our libtool supports shared lib deps

>       dnl (in a rather ugly way even)

>       if $dynworks; then

> @@ -24,7 +25,7 @@ diff -Nurd gtk+-2.24.15/configure.ac gtk+-2.24.15/configure.ac

>           module_deplibs_check=`$module_libtool_config | \

>               grep '^[[a-z_]]*check[[a-z_]]*_method=[['\''"]]' | \

>               sed 's/.*[['\''"]]\(.*\)[['\''"]]$/\1/'`

> -@@ -1574,7 +1574,7 @@

> +@@ -1579,7 +1579,7 @@ fi

>   # We are using gmodule-no-export now, but I'm leaving the stripping

>   # code in place for now, since pango and atk still require gmodule.

>   export SED

> --

> 2.11.0

>

> --

> _______________________________________________

> Openembedded-core mailing list

> Openembedded-core@lists.openembedded.org

> http://lists.openembedded.org/mailman/listinfo/openembedded-core

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Patch

diff --git a/meta/recipes-gnome/gtk+/gtk+/hardcoded_libtool.patch b/meta/recipes-gnome/gtk+/gtk+/hardcoded_libtool.patch
index 1ae728e70d6..9eb7f6bf5c7 100644
--- a/meta/recipes-gnome/gtk+/gtk+/hardcoded_libtool.patch
+++ b/meta/recipes-gnome/gtk+/gtk+/hardcoded_libtool.patch
@@ -3,19 +3,20 @@  Upstream-Status: Inappropriate [embedded specific]
 Updated to apply to gtk+-2.24.15
 
 Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
-diff -Nurd gtk+-2.24.15/configure.ac gtk+-2.24.15/configure.ac
---- gtk+-2.24.15/configure.ac	2013-01-12 20:52:54.000000000 +0200
-+++ gtk+-2.24.15/configure.ac	2013-02-12 21:33:30.689925967 +0200
-@@ -415,7 +415,7 @@
+Index: gtk+-2.24.31/configure.ac
+===================================================================
+--- gtk+-2.24.31.orig/configure.ac
++++ gtk+-2.24.31/configure.ac
+@@ -415,7 +415,7 @@ AC_MSG_CHECKING([Whether to write depend
  case $enable_explicit_deps in
    auto)
      export SED
 -    deplibs_check_method=`(./libtool --config; echo 'eval echo \"$deplibs_check_method\"') | sh`
 +    deplibs_check_method=`(./$host_alias-libtool --config; echo 'eval echo \"$deplibs_check_method\"') | sh`
      if test "x$deplibs_check_method" '!=' xpass_all || test "x$enable_static" = xyes ; then
-       enable_explicit_deps=yes
+       enable_explicit_deps=yes  
      else
-@@ -774,7 +774,7 @@
+@@ -772,7 +772,7 @@ else
      dnl Now we check to see if our libtool supports shared lib deps
      dnl (in a rather ugly way even)
      if $dynworks; then
@@ -24,7 +25,7 @@  diff -Nurd gtk+-2.24.15/configure.ac gtk+-2.24.15/configure.ac
          module_deplibs_check=`$module_libtool_config | \
              grep '^[[a-z_]]*check[[a-z_]]*_method=[['\''"]]' | \
              sed 's/.*[['\''"]]\(.*\)[['\''"]]$/\1/'`
-@@ -1574,7 +1574,7 @@
+@@ -1579,7 +1579,7 @@ fi
  # We are using gmodule-no-export now, but I'm leaving the stripping
  # code in place for now, since pango and atk still require gmodule.
  export SED